Subject: Re: [RFC PATCH 00/10] Remove skb_dma_map/unmap calls

From: Eric Dumazet <[email-masked]>
Date: Tue, 01 Dec 2009 05:34:47 +0100

David Miller a écrit :
> From: "Duyck, Alexander H" <[email-masked]>
> Date: Mon, 30 Nov 2009 17:03:25 -0800
> 
>> David Miller wrote:
>>> These changes look good, but at least one of them does not apply
>>> to current net-2.6
>>>
>>> Can you respin this against current sources?
>>>
>>> Thanks a lot for doing this work Alexander.
>> Due to the fact that nobody else had reported the issue and it
>> existed in previous kernel versions I figured it would be easier to
>> just drop it into net-next-2.6.
>>
>> If you want I can change the patches to net-2.6 though if that is
>> what you would prefer.
> 
> Ok, net-next-2.6 is fine with me too.

I am not sure if I already mentioned these patches speedup
TX completion path, since we avoid a cache line miss, if
driver caches nr_frags/mapping in its tx descriptor (like bnx2)

(no need to access to skb_shinfo(skb)->dma_head & ->nr_frags)

(This is not an argument vs ns-next-2.6, or net-2.6, just a note
to say that these patches are welcomed performance wise)